Update video.bash

This commit is contained in:
RandomNinjaAtk 2023-07-07 09:11:56 -04:00 committed by GitHub
parent 0d3612a36b
commit 006e5b48fd
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23

View file

@ -1,9 +1,6 @@
#!/usr/bin/with-contenv bash #!/usr/bin/with-contenv bash
scriptVersion="1.0.0" scriptVersion="1.0.0"
set -e
set -o pipefail
######## Settings ######## Settings
videoLanguages="eng" videoLanguages="eng"
requireLanguageMatch="true" requireLanguageMatch="true"
@ -36,12 +33,16 @@ InstallRequirements () {
fi fi
} }
InstallRequirements
set -e
set -o pipefail
# auto-clean up log file to reduce space usage # auto-clean up log file to reduce space usage
if [ -f "/config/scripts/video.txt" ]; then if [ -f "/config/scripts/video.txt" ]; then
find /config/scripts -type f -name "video.txt" -size +1024k -delete find /config/scripts -type f -name "video.txt" -size +1024k -delete
fi fi
touch "/config/scripts/video.txt" touch "/config/scripts/video.txt"
chmod 666 "/config/scripts/video.txt" chmod 666 "/config/scripts/video.txt"
exec &> >(tee -a "/config/scripts/video.txt") exec &> >(tee -a "/config/scripts/video.txt")
@ -209,7 +210,7 @@ function Main {
echo "Post Processing Completed in $(($duration / 60 )) minutes and $(($duration % 60 )) seconds!" echo "Post Processing Completed in $(($duration / 60 )) minutes and $(($duration % 60 )) seconds!"
} }
InstallRequirements
Main "$@" Main "$@"
exit $? exit $?